org.apache.sling.validation.testservices.internal

## Class ValidationPostResponse

- java.lang.Object
- - org.apache.sling.servlets.post.AbstractPostResponse
  - - org.apache.sling.validation.testservices.internal.ValidationPostResponse

All Implemented Interfaces:
  org.apache.sling.servlets.post.PostResponse

    public class ValidationPostResponse
    extends org.apache.sling.servlets.post.AbstractPostResponse

### Field Summary

### Fields inherited from class org.apache.sling.servlets.post.AbstractPostResponse

`PN_ERROR, PN_IS_CREATED, PN_LOCATION, PN_PARENT_LOCATION, PN_PATH, PN_REFERER, PN_STATUS_CODE, PN_STATUS_MESSAGE, PN_TITLE`

### Constructor Summary

Constructors
Constructor and Description
`ValidationPostResponse(ResourceBundle resourceBundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doSend(javax.servlet.http.HttpServletResponse response)`
`void` `onChange(String type, String... arguments)`
`void` `setValidationResult(org.apache.sling.validation.ValidationResult validationResult)`

### Methods inherited from class org.apache.sling.servlets.post.AbstractPostResponse

`getError, getLocation, getParentLocation, getPath, getProperty, getProperty, getReferer, getStatusCode, getStatusMessage, isCreateRequest, isSuccessful, onCopied, onCreated, onDeleted, onModified, onMoved, send, setCreateRequest, setError, setLocation, setParentLocation, setPath, setProperty, setReferer, setStatus, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ValidationPostResponse

    public ValidationPostResponse(@Nonnull
                                  ResourceBundle resourceBundle)

### Method Detail

#### setValidationResult

    public void setValidationResult(org.apache.sling.validation.ValidationResult validationResult)

#### doSend

    protected void doSend(javax.servlet.http.HttpServletResponse response)
                   throws IOException

Specified by:
  `doSend` in class `org.apache.sling.servlets.post.AbstractPostResponse`
Throws:
  `IOException`

#### onChange

    public void onChange(String type,
                         String... arguments)